"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLabelsForView = void 0;
const sitecore_jss_nextjs_1 = require("@sitecore-jss/sitecore-jss-nextjs");
const config_1 = __importDefault(require("../../../../../src/temp/config"));
const graphql_request_1 = require("graphql-request");
function getLabelsForView(labelId) {
    return __awaiter(this, void 0, void 0, function* () {
        if (process.env.JSS_MODE === sitecore_jss_nextjs_1.constants.JSS_MODE.DISCONNECTED) {
            return null;
        }
        const graphQLClient = new sitecore_jss_nextjs_1.GraphQLRequestClient(config_1.default.graphQLEndpoint, {
            apiKey: config_1.default.sitecoreApiKey,
        });
        const query = (0, graphql_request_1.gql) `
    query GetLabels($labelId: String!, $language: String!) {
      labels: item(path: $labelId, language: $language) {
        id
        fields {
          name
          value
          jsonValue
        }
      }
    }
  `;
        const result = yield graphQLClient.request(query, {
            labelId: labelId,
            language: config_1.default.defaultLanguage,
        });
        const objArray = result.labels.fields.map((field) => {
            const obj = {};
            obj[field.name] = field.jsonValue;
            return obj;
        });
        const model = {};
        objArray.forEach((obj) => {
            Object.assign(model, obj);
        });
        return model;
    });
}
exports.getLabelsForView = getLabelsForView;
